package sprzedaz.nieobiektowo;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;

// Oblicz sumę wartości sprzedaży w mieście Katowice.
// Wartość transakcji to cena * sztuk.

public class SumaWartosciWMiescie {
    public static void main(String[] args) {

        try (Scanner scanner = new Scanner(new File("sprzedaz.csv"))) {
        	scanner.nextLine(); // pominięcie nagłówków
        	
        	double suma = 0;
        	
        	while(scanner.hasNextLine()) {
        		String linia = scanner.nextLine();
        		String[] t = linia.split(",");
        		if("Katowice".equals(t[1])) {
        			suma += Double.parseDouble(t[5]) * Integer.parseInt(t[6]);
        		}
        	}
        	
        	// System.out.println("Suma: " + suma);
        	System.out.printf("Suma: %.2f\n", suma);
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		}
    }
}
